package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag985;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT985Creator;

/**
 * @author hedonghao
 * @date 2023/2/25
 */
public class Tag57aCreator extends AbsTagCreate {

    private MT985Creator mt985Creator;

    public Tag57aCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt985Creator= (MT985Creator) absMTCreator;
    }

    public  void creator()
    {
        handlerBicAdrCreator(mt985Creator,"accountWithInstitution57a");
    }
}
